<!doctype html>  

<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ --> 
<!--[if IE 7 ]>    <html lang="en" class="no-js ie7"> <![endif]-->
<!--[if IE 8 ]>    <html lang="en" class="no-js ie8"> <![endif]-->
<!--[if IE 9 ]>    <html lang="en" class="no-js ie9"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--> <html lang="en" class="no-js"> <!--<![endif]-->
<head>
  <meta charset="utf-8">

  <!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame 
       Remove this if you use the .htaccess -->
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

  <title>TextGrid: Explore with DIGIVOY</title>
  <meta name="description" content="">
  <meta name="author" content="">

  <!--  Mobile viewport optimized: j.mp/bplateviewport -->
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <!-- Place favicon.ico & apple-touch-icon.png in the root of your domain and delete these references -->
  <link rel="shortcut icon" href="/favicon.ico">
  <link rel="apple-touch-icon" href="/apple-touch-icon.png">


  <!-- CSS : implied media="all" -->
  <link rel="stylesheet" href="css/style.css?v=2">

  <!-- All JavaScript at the bottom, except for Modernizr which enables HTML5 elements & feature detects -->
  <script src="js/libs/modernizr.custom.28731.js"></script>

</head>
<!-- End of the common head part -->
<body class="simple" >
  <div id="container">
  	<div id="bg-decoration"></div>
    <header>
		<nav class="clearfix" >
       		<ul class="clearfix">
            <li><a href="index.html">Simple Search</a></li>
            <li><a href="advanced.html">Advanced Search</a></li>
            <li><a href="repository.html">Repository Content</a></li>
            <li><a href="basket.html">Basket<span id="basketTray"/></a></li>
            <li class="active" >Explore</li>
            </ul>
        </nav>
    </header>
    <section id="main">
		<header class="clearfix">
        <h1>
        <a href="/"><img id="replogo" src="images/textgridrep_logo.png" alt="TextGrid Repository" /></a>
        <a href="https://de.dariah.eu"><img id="dariahlogo" style="width:233px; padding-bottom: 10px;" src="images/DARIAH-DE.png" alt="DARIAH-DE" /></a>
        </h1>
        <img id="ajaxLoadIndicator" src="images/ajax-loader3.gif" style="float:right" />
        <h2 style="clear: both; position:relative; text-align: right;">Explore with DIGIVOY</h2>
        </header>
        <form id="settingsForm" class="clearfix" method="GET" action="results.html">
        	<div id="leftcol">
			  <p class="helptext" >Explore, analyze and visualize texts further with the numerous DIGIVOY tools: </p>
              <p>
				<label>Tool 
				<select id="tool" name="target"></select>
				</label>
				<br/><a href="https://de.dariah.eu/web/guest/digivoy">How to use DIGIVOY</a>
			  </p>
			  <hr/>
			  <p class="helptext" >Select information to be removed from the text.</p>
			  <table style="border: none">
			  <tr>
			  	<td style="border: none;">
              <p>
                  <label>
                    <input type="checkbox" name="e" value="castList" checked style="width:auto;">
                    CastList</label>
              </p>
              <p>
                  <label>
                    <input type="checkbox" name="e" value="desc" checked style="width:auto;">
                    Desc</label>
              </p>
              <p>
                  <label>
                    <input type="checkbox" name="e" value="figure" checked style="width:auto;">
                    Figure</label>
              </p>
              <p>
                  <label>
                    <input type="checkbox" name="e" value="head" checked style="width:auto;">
                    Head</label>
              </p>
			  	</td>
			  	<td style="border: none;">
              <p>
                  <label>
                    <input type="checkbox" name="e" value="note" checked style="width:auto;">
                    Note</label>
              </p>
              <p>
                  <label>
                    <input type="checkbox" name="e" value="speaker" checked style="width:auto;">
                    Speaker</label>
              </p>
              <p>
                  <label>
                    <input type="checkbox" name="e" value="stage" checked style="width:auto;">
                    Stage</label>
              </p>
              <p>
                  <label>
                    <input type="checkbox" name="e" value="title" checked style="width:auto;">
                    Title</label>
              </p>
			  	</td>
			  </tr>
			  </table>
        	</div> <!-- leftcol -->
            <div id="rightcol">
            	<div class="send-button styled-button" title="Explore with DIGIVOY">Explore</div>
       		</div>
       </form>
    </section>
    
    <footer>

    </footer>
  </div> <!--! end of #container -->

  <!-- Start of common foot part -->
  <!-- Javascript at the bottom for fast page loading -->
  <script src="js/libs/jquery-1.4.2.js"></script>
  <script src="js/libs/jquery-ui.min.js"></script>

  <!-- Only load the datepicker extension if the browser doesn't support this natively -->
  <script>
  yepnope({
	  test : Modernizr.inputtypes.date,
	  nope : [
		  // load scripts to simulate date type
         'js/datepicker.js',
		 'css/smoothness/jquery-ui-1.8.11.custom.min.css'
  	  ]
	});
  </script>
  
  <script src="js/plugins.min.js"></script>
  <script src="js/script.js"></script>
  <script src="js/mylibs/jquery.query-2.1.7.js"></script>
  <script src="js/mylibs/jquery.dateFormat-1.0.js"></script>
  <script src="js/mylibs/jquery.flash.min_.js"></script>
  <script src="js/mylibs/jquery.xmlns.js"></script>
  <script src="js/config.js"></script>  
  <script src="js/tgsearchCommon.js"></script>
  <script src="js/jquery.getUrlParam.js"></script>
  <script src="js/voyant.js"></script>  
  <script src="js/collectionBuilder.js"></script>
  <script>
	$('#ajaxLoadIndicator')
    .hide()  // hide it initially
    .ajaxStart(function() {
        $(this).show();
    })
    .ajaxStop(function() {
        $(this).hide();
    });
  
  initToolSelect($('#tool'));
	$(".send-button").click(function () {
		var sel = $('#tool')[0];
		var toolUrl = sel.options[sel.selectedIndex].value;
		var documentIdParam = $(document).getUrlParam('documentId');
		var documentLinks = [];
		if (documentIdParam != null) {
			var documentId = unescape($(document).getUrlParam('documentId'));
			documentLinks.push(filteredTGCrudDataLink(documentId, $('#settingsForm').serialize()));
		}		
		else {
			var ids = $(document).getUrlParam('documentId[]');
			if ($.isArray(ids)) {
				$(ids).each(function() {
					var documentId = unescape(this);
					documentLinks.push(filteredTGCrudDataLink(documentId, $('#settingsForm').serialize()));
				});
			}
			else {
				var documentId = unescape(ids);
				documentLinks.push(filteredTGCrudDataLink(documentId, $('#settingsForm').serialize()));
			}
		}
		
		sendToVoyant(toolUrl, documentLinks.join('\n'));
	});
  </script>  
</body>
</html>
